// 种羊来源 类型
const seedSheedSource = [
    { label: "本场出生", value: 1 },
    { label: "它场转入", value: 2 }
]

// 种羊等级
const seedSheedLevel = [
    { label: "甲", value: 1 },
    { label: "乙", value: 2 },
    { label: "丙", value: 3 },
    { label: "丁", value: 4 }
]

// 种母羊状态
const seedSheedStatus = [
    { label: "后备", value: 1 },
    // { label: "采精", value: 2 },
    { label: "查情", value: 3 },
    { label: "配种", value: 4 },
    { label: "妊检", value: 5 },
    { label: "分娩", value: 6 },
    { label: "断奶", value: 7 },
    { label: "淘汰", value: 8 }
]

// 种公羊状态
const seedRamSheedStatus = [
    { label: "后备", value: 1 },
    { label: "配种", value: 4 }
]

// 商品羊状态
const prductSheedStatus = [
    { label: "羔羊", value: 1 },
    { label: "育成羊", value: 2 },
    { label: "商品羊", value: 3 },
    { label: "无害化", value: 4 },
    { label: "卖出", value: 5 }
]


// 精液色泽
const seedColor = [
    { label: "正常", value: 1 },
    { label: "异常", value: 0 }
]

// 精液密度
const seedDensity = [
    { label: "密", value: 1 },
    { label: "中", value: 2 },
    { label: "稀", value: 3 }
]

// 怀孕状态
const fetationStatus = [
    { label: "正常", value: 1 },
    { label: "空怀", value: 2 },
    { label: "流产", value: 3 },
    { label: "死胎", value: 4 }
]

// 发情状态
const estrusStatus = [
    { label: "未发情", value: 0 },
    { label: "发情", value: 1 }
]

// 免疫类型
const vaccineStyle = [
    { label: "普免", value: 1 },
    { label: "防疫", value: 2 }
]

// 羊类型 
const sheepType = [
    { label: "商品羊", value: 4 },
    { label: "种母羊", value: 2 },
    { label: "种公羊", value: 1 }
]

// 治疗状态
const cureStatus = [
    { label: "未治疗", value: 1 },
    { label: "治疗中", value: 2 },
    { label: "已治愈", value: 3 }
]

// 药品有效期单位
const periodOfValidityUnit = [
    { label: "天", value: 1 },
    { label: "月", value: 2 },
    { label: "年", value: 3 }
]

// 药品状态（基础信息）
const drugStatus = [
    { label: "禁用", value: 0 },
    { label: "可用", value: 1 }
]

// 无害化确认状态 (修改此处， 需要修改 [ harmless/harmlessConfirm.vue ] 下的列表操作)
const harmlessConfirmStatus = [
    { label: "未确认", value: 0 },
    { label: "已确认", value: 1 }
]

// 检测羊对象类型 (examiningReport.vue) 
const examiningSheepType = [
    { label: "羊只", value: 1 },
    { label: "批次", value: 2 }
]

// 检测结果类型 (examiningReport.vue) 
const examiningReportType = [
    { label: "未通过", value: 0 },
    { label: "通过", value: 1 }
]

// 设备类型  
const deviceType = [
    { label: "温度", value: 1 },
    { label: "湿度", value: 2 },
    { label: "摄像头", value: 3 }
]

// 设备状态  
const deviceStatus = [
    { label: "正常工作", value: 1 },
    { label: "暂停使用", value: 2 },
    { label: "故障", value: 3 }
]

/* workerList 员工列表  动态获取了 在home.vue中获取了 */
/* areaList 栋舍信息  动态获取了 在home.vue中获取了 */
/* drugBasicsList 基础药品列表   动态获取了 在home.vue中获取了 */
/* batchList 批次列表   动态获取了 在home.vue、batch.vue中获取了 */
/* storeList  // 库存列表   动态获取了 在home.vue、storeList.vue中获取了 */




export default {
    seedSheedSource, seedSheedLevel, seedSheedStatus, seedRamSheedStatus, prductSheedStatus, seedColor, seedDensity,
    fetationStatus, estrusStatus, vaccineStyle, sheepType, cureStatus, periodOfValidityUnit, 
    drugStatus, harmlessConfirmStatus, examiningSheepType, examiningReportType, deviceType,
    deviceStatus
}




