
export const menuData = [
    {
        optionName: "档案信息",
        iconClassName: "el-icon-files",
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '企业信息',
                routerName: "firmInfo"
            },
            {
                optionName: '牧场信息',
                routerName: "pastureInfo"
            },
            {
                optionName: '栋舍信息',
                routerName: "areaInfo"
            },
            {
                optionName: '员工信息',
                routerName: "workerInfo"
            },
            {
                optionName: 'test',
                routerName: "test"
            }
        ]
    },
    {
        optionName: "智能养殖",
        iconClassName: "el-icon-files",
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '零散信息',
                routerName: "breed_info"
            },
            {
                optionName: '种羊等级分布',
                routerName: "sheepDistribute"
            },
            {
                optionName: '牧场存栏',
                routerName: "sheepLivestock"
            },
            {
                optionName: '消息提醒',
                routerName: "warn"
            },
            {
                optionName: '谱系',
                routerName: "genealogy"
            },
            {
                optionName: '种羊年龄分布',
                routerName: "ageDistribute"
            },
            {
                optionName: '羔羊分布',
                routerName: "lambDistribute"
            },

            {
                optionName: '羊粪价格',
                routerName: "poopSale"
            },
            {
                optionName: '牧场销售',
                routerName: "sale"
            },
            {
                optionName: '温度湿度',
                routerName: "environment"
            }
        ]
    },
    {
        optionName: "屠宰管控",
        iconClassName: "el-icon-files",
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '主要信息',
                routerName: "workerInfo"
            },
            {
                optionName: '企业采购',
                routerName: "firmInfo"
            },
            {
                optionName: '检疫合格率',
                routerName: "pastureInfo"
            },
            {
                optionName: '成本比例',
                routerName: "areaInfo"
            },
            {
                optionName: '产品库存',
                routerName: "workerInfo"
            },
            {
                optionName: '死淘数量',
                routerName: "test"
            },
            {
                optionName: '排酸损耗',
                routerName: "test"
            },
            {
                optionName: '销售统计',
                routerName: "test"
            },
            {
                optionName: '在场批次',
                routerName: "test"
            }
        ]
    },
    {
        optionName: "产品管控",
        iconClassName: "el-icon-files",
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '主要信息',
                routerName: "workerInfo"
            },
            {
                optionName: '羊皮价格',
                routerName: "firmInfo"
            },
            {
                optionName: '羊血价格',
                routerName: "pastureInfo"
            },
            {
                optionName: '羊杂销售额',
                routerName: "areaInfo"
            },
            {
                optionName: '仓库使用率',
                routerName: "workerInfo"
            },
            {
                optionName: '产品库存',
                routerName: "test"
            },
            {
                optionName: '出售量排行',
                routerName: "test"
            },
            {
                optionName: '客户购买排行',
                routerName: "test"
            },
            {
                optionName: '历史出库量',
                routerName: "test"
            },
            {
                optionName: '历史入库量',
                routerName: "test"
            },
            {
                optionName: '出库申请记录',
                routerName: "test"
            },
            {
                optionName: '价格',
                routerName: "test"
            }
        ]
    },
    {
        optionName: "鲜肉储运",
        iconClassName: "el-icon-files",
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '主要信息',
                routerName: "workerInfo"
            },
            {
                optionName: '胴体销售价',
                routerName: "firmInfo"
            },
            {
                optionName: '胴体销售金额',
                routerName: "pastureInfo"
            },
            {
                optionName: '季度销售额',
                routerName: "areaInfo"
            },
            {
                optionName: '累计销售金额',
                routerName: "workerInfo"
            },
            {
                optionName: '运输任务',
                routerName: "test"
            },
            {
                optionName: '销售利润分析',
                routerName: "workerInfo"
            },
            {
                optionName: '产品销售分析',
                routerName: "workerInfo"
            },
            {
                optionName: '地区销量排行',
                routerName: "workerInfo"
            },
            {
                optionName: '种羊销售价格',
                routerName: "workerInfo"
            },
            {
                optionName: '生产追溯',
                routerName: "workerInfo"
            }
        ]
    },
    
]

// export default {menuData}




/* 菜单配置 描述 */
const menuData描述 = [
    // 有子菜单 并且字菜单分组的
    {
        oneMenuName: "导航一", // 一级菜单名
        iconClassName: "aaa", // element-ui图标名
        childList: [ // 分组的
            {
                groupName: '组名一',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            },
            {
                groupName: '组名二',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            }
        ],
    },
    // 有子菜单 字菜单不分组的
    {
        oneMenuName: "导航二",
        iconClassName: "el-icon-menu",
        disabled: false, // 是否禁用
        childList: [ // 不分组的
            {
                optionName: '选项1',
                routerName: "home"
            },
            {}
        ]
    },
    // 无子菜单的
    {
        oneMenuName: "导航三",
        iconClassName: "el-icon-document",
        routerName: "home",
        disabled: false
    },

    "导航四"
]


